Subject: Re: bug#46853: Confusing terminology "face height" instead of "font size"

From: Eli Zaretskii <[email-masked]>
Date: Mon, 01 Mar 2021 21:46:18 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Mon, 1 Mar 2021 13:31:44 -0600
> Cc: [email-masked]
> 
> Agreed, so here's a tentative diff.  It could probably use some
> polishing though.

Thanks.

First, this consistently removes the reference to the default face,
which loses information.  For example:

> -  To increase the height of the default face in the current buffer,
> -type @kbd{C-x C-+} or @kbd{C-x C-=}.  To decrease it, type @kbd{C-x
> -C--}.  To restore the default (global) face height, type @kbd{C-x
> -C-0}.  These keys are all bound to the same command,
> -@code{text-scale-adjust}, which looks at the last key typed to
> -determine which action to take.
> +  To increase the font size in the current buffer, type @kbd{C-x C-+}

This should be

  To increase the height of the default face's font, type ...

Please also retain the reference to the default face in all the other
places where it was mentioned before.

> --- a/lisp/cus-face.el
> +++ b/lisp/cus-face.el
> @@ -73,9 +73,9 @@ custom-face-attributes
>  
>      (:height
>       (choice :tag "Height"
> -	     :help-echo "Face's font height."
> +             :help-echo "Font size."

Here' I suggest "Face's font size."  There's no need to remove the
reference to the face, since in Emacs a font is just one attribute of
the face.

> -Each positive or negative step scales the default face height by this amount."
> +Each positive or negative step scales the default font size by this amount."

There's no such thing as "the default font", please use "the size of
the default face's font" instead.

> -        (user-error "Cannot %s the default face height more than it already is"
> +        (user-error "Cannot %s the font size any further"

Please keep the reference to the default face here.

> +   +, =   Increase default font size in current buffer by one step
> +   -      Decrease default font size in current buffer by one step

"Default font" again.

>  `:height'
>  
> -VALUE specifies the relative or absolute height of the font.  An
> -absolute height is an integer, and specifies font height in units
> -of 1/10 pt.  A relative height is either a floating point number,
> -which specifies a scaling factor for the underlying face height;
> -or a function that takes a single argument (the underlying face
> -height) and returns the new height.  Note that for the `default'
> -face, you must specify an absolute height (since there is nothing
> -for it to be relative to).
> +VALUE specifies the relative or absolute font size (height of the
> +font).  An absolute height is an integer, and specifies font height in
> +units of 1/10 pt.  A relative height is either a floating point
> +number, which specifies a scaling factor for the underlying face
> +height; or a function that takes a single argument (the underlying
> +face height) and returns the new height.  Note that for the `default'
> +face, you must specify an absolute height (since there is nothing for
> +it to be relative to).

I don't understand the point of this change.  My suggestion would be
to leave the original text intact, and add to it a note saying that
this affects the size of the font, not just its height.

> --- a/lisp/play/gamegrid.el
> +++ b/lisp/play/gamegrid.el
> @@ -452,6 +452,7 @@ gamegrid-init-buffer
>      ;; Adjust the height of the default face to the height of the
>      ;; images. Unlike XEmacs, Emacs doesn't allow making the default
>      ;; face buffer-local; so we do this with an overlay.
> +    ;; FIXME: Is the above correct?  See face-remap.el.

No, this was written before we had face-remap.el.  But that doesn't
belong to this issue.